/haloitsm-tickets | Type: Application | PCID required: Yes
Tools
haloitsm_tickets_create_actions
POST /Actions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ticket_id": {
"type": "integer",
"format": "int32",
"description": "Ticket Id"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"outcome": {
"type": "string",
"description": "The outcome value"
},
"who_type": {
"type": "integer",
"format": "int32",
"description": "Who Type"
},
"who_imgpath": {
"type": "string",
"description": "Who Imgpath"
},
"who_agentid": {
"type": "integer",
"format": "int32",
"description": "Who Agentid"
},
"who_initials": {
"type": "string",
"description": "Who Initials"
},
"who_colour": {
"type": "string",
"description": "Who Colour"
},
"who_onlinestatus": {
"type": "integer",
"format": "int32",
"description": "Who Onlinestatus"
},
"datetime": {
"type": "string",
"format": "date-time",
"description": "The datetime value"
},
"last_updated": {
"type": "string",
"format": "date-time",
"description": "Last Updated"
},
"note": {
"type": "string",
"description": "The note value"
},
"replied_to_ticket_id": {
"type": "integer",
"format": "int32",
"description": "Replied To Ticket Id"
},
"replied_to_action_id": {
"type": "integer",
"format": "int32",
"description": "Replied To Action Id"
},
"created_from_ticket_id": {
"type": "integer",
"format": "int32",
"description": "Created From Ticket Id"
},
"created_from_action_id": {
"type": "integer",
"format": "int32",
"description": "Created From Action Id"
},
"action_contract_id": {
"type": "integer",
"format": "int32",
"description": "Action Contract Id"
},
"action_contract_ref": {
"type": "string",
"description": "Action Contract Ref"
},
"action_travel_contract_id": {
"type": "integer",
"format": "int32",
"description": "Action Travel Contract Id"
},
"project_id": {
"type": "integer",
"format": "int32",
"description": "Project Id"
},
"twitter_id_str": {
"type": "string",
"description": "Twitter Id Str"
},
"twitter_user_name": {
"type": "string",
"description": "Twitter User Name"
},
"tweet_sent": {
"type": "boolean",
"description": "Tweet Sent"
},
"attachment_list": {
"type": "object",
"description": "Attachment List"
},
"customfields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"label": {
"type": "string"
},
"summary": {
"type": "string"
},
"type": {
"type": "integer"
},
"value": {},
"value_is_password_id": {
"type": "boolean"
},
"display": {
"type": "string"
},
"characterlimit": {
"type": "integer"
},
"characterlimittype": {
"type": "integer"
},
"inputtype": {
"type": "integer"
},
"copytochild": {
"type": "boolean"
},
"copytoparent": {
"type": "boolean"
},
"searchable": {
"type": "boolean"
},
"ordervalues": {
"type": "boolean"
},
"ordervaluesby": {
"type": "integer"
},
"database_lookup_id": {
"type": "integer"
},
"database_lookup_auto": {
"type": "boolean"
},
"database_lookup_triggers": {
"type": "array"
},
"third_party_name": {
"type": "string"
},
"extratype": {
"type": "integer"
},
"copytochildonupdate": {
"type": "boolean"
},
"copytograndchildonupdate": {
"type": "boolean"
},
"copytoparentonupdate": {
"type": "boolean"
},
"hyperlink": {
"type": "string"
},
"usage": {
"type": "integer"
},
"linked_table_id": {
"type": "integer"
},
"showondetailsscreen": {
"type": "boolean"
},
"third_party_value": {
"type": "string"
},
"custom_extra_table_id": {
"type": "integer"
},
"copytorelated": {
"type": "boolean"
},
"only_validate_on_creation": {
"type": "boolean"
},
"calculation": {
"type": "string"
},
"rounding": {
"type": "integer"
},
"validation_reasons": {
"type": "array"
},
"int_value_is_display": {
"type": "boolean"
},
"regex": {
"type": "string"
},
"onlyshowforagents": {
"type": "boolean"
},
"is_horizontal": {
"type": "boolean"
},
"copied": {
"type": "boolean"
},
"isencrypted": {
"type": "boolean"
},
"max_selection": {
"type": "integer"
},
"guid": {
"type": "string"
},
"selection_field_id": {
"type": "integer"
},
"variable_format_1": {
"type": "string"
},
"variable_format_2": {
"type": "string"
},
"validation_data": {
"type": "array"
},
"database_lookup_input": {
"type": "integer"
},
"table_data_entry_type": {
"type": "integer"
},
"showintable": {
"type": "boolean"
},
"table_height": {
"type": "integer"
},
"dont_delete_rows": {
"type": "boolean"
},
"table_matching_field": {
"type": "integer"
},
"new_storage_method": {
"type": "boolean"
},
"where_sql": {
"type": "string"
},
"load_type": {
"type": "integer"
},
"add_rows": {
"type": "boolean"
},
"delete_these_rows": {
"type": "array"
},
"showinpool": {
"type": "boolean"
},
"allow_pool_override": {
"type": "boolean"
},
"details_column_group": {
"type": "integer"
},
"add_row_per_value": {
"type": "boolean"
},
"store_in_fielddata": {
"type": "boolean"
},
"first_value_default": {
"type": "boolean"
},
"copytoparentnewticket": {
"type": "boolean"
}
}
},
"description": "The customfields value"
},
"personal_unread": {
"type": "boolean",
"description": "Personal Unread"
},
"actionarrivaldate": {
"type": "string",
"format": "date-time",
"description": "The actionarrivaldate value"
},
"actioncompletiondate": {
"type": "string",
"format": "date-time",
"description": "The actioncompletiondate value"
},
"isjson": {
"type": "boolean",
"description": "The isjson value"
},
"facebook_id": {
"type": "string",
"description": "Facebook Id"
},
"facebook_sent": {
"type": "boolean",
"description": "Facebook Sent"
},
"merged_from_ticketid": {
"type": "integer",
"format": "int32",
"description": "Merged From Ticketid"
},
"reactions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ticket_id": {
"type": "integer"
},
"action_number": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"timestamp": {
"type": "string"
},
"type": {
"type": "string"
}
}
},
"description": "The reactions value"
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"language_id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"fieldname": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"entity_id2": {
"type": "integer"
},
"entity_id3": {
"type": "integer"
},
"entity_textid": {
"type": "string"
},
"translation": {
"type": "string"
},
"_dotranslate": {
"type": "boolean"
},
"_translateonly": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"default_translation": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "The translations value"
},
"email_message_id": {
"type": "string",
"description": "Email Message Id"
},
"post_translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"language_id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"fieldname": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"entity_id2": {
"type": "integer"
},
"entity_id3": {
"type": "integer"
},
"entity_textid": {
"type": "string"
},
"translation": {
"type": "string"
},
"_dotranslate": {
"type": "boolean"
},
"_translateonly": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"default_translation": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "Post Translations"
},
"ticket_guid": {
"type": "string",
"description": "Ticket Guid"
},
"instagram_id": {
"type": "string",
"description": "Instagram Id"
},
"instagram_sent": {
"type": "boolean",
"description": "Instagram Sent"
},
"on_behalf_of": {
"type": "integer",
"format": "int32",
"description": "On Behalf Of"
},
"on_behalf_of_name": {
"type": "string",
"description": "On Behalf Of Name"
},
"actionby_agent_id": {
"type": "integer",
"format": "int32",
"description": "Actionby Agent Id"
},
"warning_type": {
"type": "integer",
"format": "int32",
"description": "Warning Type"
},
"guid": {
"type": "string",
"format": "uuid",
"description": "The guid value"
},
"actioncontractid": {
"type": "integer",
"format": "int32",
"description": "The actioncontractid value"
},
"actisbillable": {
"type": "boolean",
"description": "The actisbillable value"
},
"actisreadyforprocessing": {
"type": "boolean",
"description": "The actisreadyforprocessing value"
},
"actioninternetmessageid": {
"type": "string",
"description": "The actioninternetmessageid value"
},
"senttowhatsapp": {
"type": "boolean",
"description": "The senttowhatsapp value"
},
"twa_delivered_date": {
"type": "string",
"format": "date-time",
"description": "Twa Delivered Date"
},
"twa_read_date": {
"type": "string",
"format": "date-time",
"description": "Twa Read Date"
},
"travelisreadyforprocessing": {
"type": "boolean",
"description": "The travelisreadyforprocessing value"
},
"emailimportance": {
"type": "string",
"description": "The emailimportance value"
},
"email_status": {
"type": "integer",
"format": "int32",
"description": "Email Status"
},
"actionbillingplanid": {
"type": "integer",
"format": "int32",
"description": "The actionbillingplanid value"
},
"emailbody": {
"type": "string",
"description": "The emailbody value"
},
"emailsubject": {
"type": "string",
"description": "The emailsubject value"
},
"note_html": {
"type": "string",
"description": "Note Html"
},
"emailbody_html": {
"type": "string",
"description": "Emailbody Html"
},
"actionuserdef": {
"type": "integer",
"format": "int32",
"description": "The actionuserdef value"
},
"userdesc": {
"type": "string",
"description": "The userdesc value"
},
"actiondatecreated": {
"type": "string",
"format": "date-time",
"description": "The actiondatecreated value"
},
"actioninvoicenumber": {
"type": "string",
"description": "The actioninvoicenumber value"
},
"actioninvoicenumber_isproject": {
"type": "boolean",
"description": "Actioninvoicenumber Isproject"
},
"action_invoice_line_id": {
"type": "integer",
"format": "int32",
"description": "Action Invoice Line Id"
},
"actiontravelinvoicenumber": {
"type": "string",
"description": "The actiontravelinvoicenumber value"
},
"actionmileageinvoicenumber": {
"type": "string",
"description": "The actionmileageinvoicenumber value"
},
"externalinvoicenumber": {
"type": "string",
"description": "The externalinvoicenumber value"
},
"actprocessid": {
"type": "integer",
"format": "int32",
"description": "The actprocessid value"
},
"actiontravelamount": {
"type": "number",
"format": "double",
"description": "The actiontravelamount value"
},
"actionmileageamount": {
"type": "number",
"format": "double",
"description": "The actionmileageamount value"
},
"actiontravelmileageinvoicenumber": {
"type": "integer",
"format": "int32",
"description": "The actiontravelmileageinvoicenumber value"
},
"actiontravelbillingplanid": {
"type": "integer",
"format": "int32",
"description": "The actiontravelbillingplanid value"
},
"actioncalendarstatus": {
"type": "integer",
"format": "int32",
"description": "The actioncalendarstatus value"
},
"actionapptid": {
"type": "string",
"description": "The actionapptid value"
},
"actionsmsstatus": {
"type": "integer",
"format": "int32",
"description": "The actionsmsstatus value"
},
"sitevisitunits": {
"type": "number",
"format": "double",
"description": "The sitevisitunits value"
},
"svid": {
"type": "integer",
"format": "int32",
"description": "The svid value"
},
"asset_id": {
"type": "integer",
"format": "int32",
"description": "Asset Id"
},
"asset_site": {
"type": "integer",
"format": "int32",
"description": "Asset Site"
},
"lwwarrantyreported": {
"type": "boolean",
"description": "The lwwarrantyreported value"
},
"from_mailbox_id": {
"type": "integer",
"format": "int32",
"description": "From Mailbox Id"
},
"sales_mailbox_override_id": {
"type": "integer",
"format": "int32",
"description": "Sales Mailbox Override Id"
},
"from_address_override": {
"type": "string",
"description": "From Address Override"
},
"actiontravelstartdate": {
"type": "string",
"format": "date-time",
"description": "The actiontravelstartdate value"
},
"actiontravelenddate": {
"type": "string",
"format": "date-time",
"description": "The actiontravelenddate value"
},
"actionactualresponse": {
"type": "number",
"format": "double",
"description": "The actionactualresponse value"
},
"actionslaresponsestate": {
"type": "string",
"description": "The actionslaresponsestate value"
},
"labourwarranty": {
"type": "boolean",
"description": "The labourwarranty value"
},
"actreviewed": {
"type": "boolean",
"description": "The actreviewed value"
},
"actprocesseddate": {
"type": "string",
"format": "date-time",
"description": "The actprocesseddate value"
},
"dateinvoicedtraveltime": {
"type": "string",
"format": "date-time",
"description": "The dateinvoicedtraveltime value"
},
"dateinvoicedmileage": {
"type": "string",
"format": "date-time",
"description": "The dateinvoicedmileage value"
},
"actionuserdefineddata": {
"type": "string",
"description": "The actionuserdefineddata value"
},
"emailtolistall": {
"type": "string",
"description": "The emailtolistall value"
},
"reply_direct": {
"type": "boolean",
"description": "Reply Direct"
},
"actioninformownerofaction": {
"type": "boolean",
"description": "The actioninformownerofaction value"
},
"agentnotificationneeded": {
"type": "integer",
"format": "int32",
"description": "The agentnotificationneeded value"
},
"surchargeid": {
"type": "integer",
"format": "int32",
"description": "The surchargeid value"
},
"travel_surchargeid": {
"type": "integer",
"format": "int32",
"description": "Travel Surchargeid"
},
"achargetotalaction": {
"type": "boolean",
"description": "The achargetotalaction value"
},
"achargetotalprocessed": {
"type": "boolean",
"description": "The achargetotalprocessed value"
},
"tweetsent": {
"type": "boolean",
"description": "The tweetsent value"
},
"tweetfrom": {
"type": "string",
"description": "The tweetfrom value"
},
"twitterid": {
"type": "integer",
"format": "int64",
"description": "The twitterid value"
},
"send_to_facebook": {
"type": "boolean",
"description": "Send To Facebook"
},
"replyto_facebook_id": {
"type": "string",
"description": "Replyto Facebook Id"
},
"senttofb": {
"type": "boolean",
"description": "The senttofb value"
},
"facebookid": {
"type": "string",
"description": "The facebookid value"
},
"facebookname": {
"type": "string",
"description": "The facebookname value"
},
"facebook_parent_id": {
"type": "string",
"description": "Facebook Parent Id"
},
"calloutcomenum": {
"type": "integer",
"format": "int32",
"description": "The calloutcomenum value"
},
"actionresponsedate": {
"type": "string",
"format": "date-time",
"description": "The actionresponsedate value"
},
"actiontargetresponsedate": {
"type": "string",
"format": "date-time",
"description": "The actiontargetresponsedate value"
},
"pagerdutysendstatus": {
"type": "integer",
"format": "int32",
"description": "The pagerdutysendstatus value"
},
"mailentryid": {
"type": "string",
"description": "The mailentryid value"
},
"replytoaddress": {
"type": "string",
"description": "The replytoaddress value"
},
"actsapuuid": {
"type": "string",
"description": "The actsapuuid value"
},
"whowith": {
"type": "string",
"description": "The whowith value"
},
"chatid": {
"type": "integer",
"format": "int32",
"description": "The chatid value"
},
"dynamicsactionid": {
"type": "string",
"description": "The dynamicsactionid value"
},
"action_appointment_id": {
"type": "integer",
"format": "int32",
"description": "Action Appointment Id"
},
"action_supplier_id": {
"type": "integer",
"format": "int32",
"description": "Action Supplier Id"
},
"action_supplier_name": {
"type": "string",
"description": "Action Supplier Name"
},
"new_tickettype": {
"type": "integer",
"format": "int32",
"description": "New Tickettype"
},
"new_chargerate": {
"type": "integer",
"format": "int32",
"description": "New Chargerate"
},
"new_contract_id": {
"type": "integer",
"format": "int32",
"description": "New Contract Id"
},
"new_parent_id": {
"type": "integer",
"format": "int32",
"description": "New Parent Id"
},
"new_priority": {
"type": "integer",
"format": "int32",
"description": "New Priority"
},
"new_category1": {
"type": "string",
"description": "New Category1"
},
"new_category2": {
"type": "string",
"description": "New Category2"
},
"new_category3": {
"type": "string",
"description": "New Category3"
},
"new_category4": {
"type": "string",
"description": "New Category4"
},
"new_estimate": {
"type": "number",
"format": "double",
"description": "New Estimate"
},
"new_estimatedays": {
"type": "number",
"format": "double",
"description": "New Estimatedays"
},
"new_impact": {
"type": "integer",
"format": "int32",
"description": "New Impact"
},
"new_urgency": {
"type": "integer",
"format": "int32",
"description": "New Urgency"
},
"new_source": {
"type": "integer",
"format": "int32",
"description": "New Source"
},
"new_subject": {
"type": "string",
"description": "New Subject"
},
"new_matched_rule_id": {
"type": "integer",
"format": "int32",
"description": "New Matched Rule Id"
},
"new_firsttimefix": {
"type": "boolean",
"description": "New Firsttimefix"
},
"new_team": {
"type": "string",
"description": "New Team"
},
"new_agent": {
"type": "integer",
"format": "int32",
"description": "New Agent"
},
"new_sla_id": {
"type": "integer",
"format": "int32",
"description": "New Sla Id"
},
"new_slastatus": {
"type": "integer",
"format": "int32",
"description": "New Slastatus"
},
"new_fixbydate": {
"type": "string",
"format": "date-time",
"description": "New Fixbydate"
},
"new_followupdate": {
"type": "string",
"format": "date-time",
"description": "New Followupdate"
},
"new_deadlinedate": {
"type": "string",
"format": "date-time",
"description": "New Deadlinedate"
},
"new_deadlinenotificationhours": {
"type": "number",
"format": "double",
"description": "New Deadlinenotificationhours"
},
"new_startdate": {
"type": "string",
"format": "date-time",
"description": "New Startdate"
},
"new_startdate_timezone": {
"type": "string",
"description": "New Startdate Timezone"
},
"new_startdate_with_timezone": {
"type": "object",
"description": "New Startdate With Timezone"
},
"new_project_time_budget": {
"type": "number",
"format": "double",
"description": "New Project Time Budget"
},
"new_project_money_budget": {
"type": "number",
"format": "double",
"description": "New Project Money Budget"
},
"new_starttime": {
"type": "string",
"format": "date-span",
"description": "New Starttime"
},
"new_starttimeslot": {
"type": "integer",
"format": "int32",
"description": "New Starttimeslot"
},
"new_targetdate": {
"type": "string",
"format": "date-time",
"description": "New Targetdate"
},
"new_targetdate_timezone": {
"type": "string",
"description": "New Targetdate Timezone"
},
"new_targetdate_with_timezone": {
"type": "object",
"description": "New Targetdate With Timezone"
},
"new_targettime": {
"type": "string",
"format": "date-span",
"description": "New Targettime"
},
"new_targettimeslot": {
"type": "integer",
"format": "int32",
"description": "New Targettimeslot"
},
"new_oppcontactname": {
"type": "string",
"description": "New Oppcontactname"
},
"new_oppcompanyname": {
"type": "string",
"description": "New Oppcompanyname"
},
"new_oppemailaddress": {
"type": "string",
"description": "New Oppemailaddress"
},
"new_oppcustomertitle": {
"type": "string",
"description": "New Oppcustomertitle"
},
"new_opptel": {
"type": "string",
"description": "New Opptel"
},
"new_oppcountry": {
"type": "string",
"description": "New Oppcountry"
},
"new_oppregion": {
"type": "string",
"description": "New Oppregion"
},
"new_opptype": {
"type": "string",
"description": "New Opptype"
},
"new_opphear": {
"type": "string",
"description": "New Opphear"
},
"new_oppvalue": {
"type": "number",
"format": "double",
"description": "New Oppvalue"
},
"new_oppvalue_monthly": {
"type": "number",
"format": "double",
"description": "New Oppvalue Monthly"
},
"new_oppvalue_annual": {
"type": "number",
"format": "double",
"description": "New Oppvalue Annual"
},
"new_oppvalue_oneoff": {
"type": "number",
"format": "double",
"description": "New Oppvalue Oneoff"
},
"new_oppconversionprobability": {
"type": "number",
"format": "double",
"description": "New Oppconversionprobability"
},
"new_oppprofit": {
"type": "number",
"format": "double",
"description": "New Oppprofit"
},
"new_oppcurrentsystem": {
"type": "string",
"description": "New Oppcurrentsystem"
},
"new_oppcompetitors": {
"type": "string",
"description": "New Oppcompetitors"
},
"new_opptrialdate": {
"type": "string",
"format": "date-time",
"description": "New Opptrialdate"
},
"new_oppdemodate": {
"type": "string",
"format": "date-time",
"description": "New Oppdemodate"
},
"new_oppdiscountdate": {
"type": "string",
"format": "date-time",
"description": "New Oppdiscountdate"
},
"new_oppattemptsmade": {
"type": "integer",
"format": "int32",
"description": "New Oppattemptsmade"
},
"new_oppconverteddate": {
"type": "string",
"format": "date-time",
"description": "New Oppconverteddate"
},
"new_oppproductchosen": {
"type": "string",
"description": "New Oppproductchosen"
},
"new_oppreason": {
"type": "string",
"description": "New Oppreason"
},
"new_opptimezonename": {
"type": "string",
"description": "New Opptimezonename"
},
"new_oppclosurecategory": {
"type": "integer",
"format": "int32",
"description": "New Oppclosurecategory"
},
"new_oppdontaddtomailinglist": {
"type": "boolean",
"description": "New Oppdontaddtomailinglist"
},
"new_approvalprocess": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess"
},
"new_approvalprocess_agent_id": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess Agent Id"
},
"new_approvalprocess_user_id": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess User Id"
},
"new_approvalprocess_users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"site_id": {
"type": "number"
},
"site_id_int": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"client_name": {
"type": "string"
},
"firstname": {
"type": "string"
},
"surname": {
"type": "string"
},
"initials": {
"type": "string"
},
"title": {
"type": "string"
},
"emailaddress": {
"type": "string"
},
"email2": {
"type": "string"
},
"email3": {
"type": "string"
},
"phonenumber_preferred": {
"type": "string"
},
"sitephonenumber": {
"type": "string"
},
"phonenumber": {
"type": "string"
},
"homenumber": {
"type": "string"
},
"mobilenumber": {
"type": "string"
},
"mobilenumber2": {
"type": "string"
},
"fax": {
"type": "string"
},
"telpref": {
"type": "integer"
},
"activedirectory_dn": {
"type": "string"
},
"onpremise_activedirectory_dn": {
"type": "string"
},
"container_dn": {
"type": "string"
},
"login": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"colour": {
"type": "string"
},
"isimportantcontact": {
"type": "boolean"
},
"other1": {
"type": "string"
},
"other2": {
"type": "string"
},
"other3": {
"type": "string"
},
"other4": {
"type": "string"
},
"other5": {
"type": "string"
},
"notes": {
"type": "string"
},
"neversendemails": {
"type": "boolean"
},
"default_currency_code": {
"type": "integer"
},
"site_guid": {
"type": "string"
},
"area_guid": {
"type": "string"
},
"site_cautomate_guid": {
"type": "string"
},
"priority_id": {
"type": "integer"
},
"linked_agent_id": {
"type": "integer"
},
"covered_by_contract": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"software_role_name": {
"type": "string"
},
"customfields": {
"type": "array"
},
"attachments": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"user_relationships": {
"type": "array"
},
"uddevsite": {
"type": "integer"
},
"uddevnum": {
"type": "integer"
},
"uduserid": {
"type": "integer"
},
"userdevicerolecount": {
"type": "integer"
},
"site_hubspot_guid": {
"type": "string"
},
"isserviceaccount": {
"type": "boolean"
},
"ignoreautomatedbilling": {
"type": "boolean"
},
"isimportantcontact2": {
"type": "boolean"
},
"connectwiseid": {
"type": "integer"
},
"autotaskid": {
"type": "integer"
},
"messagegroup_id": {
"type": "integer"
},
"role_list": {
"type": "string"
},
"sitetimezone": {
"type": "string"
},
"client_account_manager_id": {
"type": "integer"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"item_tax_code": {
"type": "integer"
},
"automatic_sales_tax": {
"type": "boolean"
},
"client_taxable": {
"type": "boolean"
},
"overridepdftemplatequote": {
"type": "integer"
},
"overridepdftemplatequote_name": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"okta_id": {
"type": "string"
},
"azure_id": {
"type": "string"
},
"user_with_clientsite": {
"type": "string"
},
"client_automatic_callscript_id": {
"type": "integer"
},
"neversendmarketingemails": {
"type": "boolean"
},
"is_prospect": {
"type": "boolean"
},
"whatsapp_number": {
"type": "string"
},
"azureoid": {
"type": "string"
},
"approver_note_hint": {
"type": "string"
},
"language_id": {
"type": "integer"
},
"date_of_birth": {
"type": "string"
},
"role_ids": {
"type": "array"
},
"avalara_tenant": {
"type": "integer"
},
"sailpoint_id": {
"type": "string"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "New Approvalprocess Users"
},
"new_approvalprocess_email": {
"type": "string",
"description": "New Approvalprocess Email"
},
"new_approvalprocess_cab_id": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess Cab Id"
},
"new_approvalprocess_cab": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"cab_id": {
"type": "integer"
},
"cab_guid": {
"type": "string"
},
"agent_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"member_name": {
"type": "string"
},
"emailaddress": {
"type": "string"
},
"is_mandatory": {
"type": "boolean"
},
"role_id": {
"type": "integer"
},
"role_name": {
"type": "string"
},
"module_id": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "New Approvalprocess Cab"
},
"new_product_id": {
"type": "integer",
"format": "int32",
"description": "New Product Id"
},
"new_component_id": {
"type": "integer",
"format": "int32",
"description": "New Component Id"
},
"new_version_id": {
"type": "integer",
"format": "int32",
"description": "New Version Id"
},
"new_matched_kb_id": {
"type": "integer",
"format": "int32",
"description": "New Matched Kb Id"
},
"new_matched_linked_id": {
"type": "integer",
"format": "int32",
"description": "New Matched Linked Id"
},
"new_linkedticket_template_id": {
"type": "integer",
"format": "int32",
"description": "New Linkedticket Template Id"
},
"new_supplier_id": {
"type": "integer",
"format": "int32",
"description": "New Supplier Id"
},
"new_supplier_ref": {
"type": "string",
"description": "New Supplier Ref"
},
"new_customer_ref": {
"type": "string",
"description": "New Customer Ref"
},
"new_supplier_contract_id": {
"type": "integer",
"format": "int32",
"description": "New Supplier Contract Id"
},
"new_supplier_priority_id": {
"type": "integer",
"format": "int32",
"description": "New Supplier Priority Id"
},
"new_supplier_response_date": {
"type": "string",
"format": "date-time",
"description": "New Supplier Response Date"
},
"new_supplier_fix_date": {
"type": "string",
"format": "date-time",
"description": "New Supplier Fix Date"
},
"new_linkedticket_status": {
"type": "integer",
"format": "int32",
"description": "New Linkedticket Status"
},
"new_appointment_type": {
"type": "integer",
"format": "int32",
"description": "New Appointment Type"
},
"emailtemplate_id": {
"type": "integer",
"format": "int32",
"description": "Emailtemplate Id"
},
"create_article": {
"type": "boolean",
"description": "Create Article"
},
"sendemail": {
"type": "boolean",
"description": "The sendemail value"
},
"action_showpreview": {
"type": "boolean",
"description": "Action Showpreview"
},
"setnotetoemailbody": {
"type": "boolean",
"description": "The setnotetoemailbody value"
},
"action_isresponse": {
"type": "boolean",
"description": "Action Isresponse"
},
"validate_response": {
"type": "boolean",
"description": "Validate Response"
},
"attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"third_party_id": {
"type": "string"
},
"link": {
"type": "string"
},
"content_type": {
"type": "string"
},
"last_updated": {
"type": "string"
},
"id": {
"type": "integer"
},
"filename": {
"type": "string"
},
"datecreated": {
"type": "string"
},
"note": {
"type": "string"
},
"filesize": {
"type": "integer"
},
"type": {
"type": "integer"
},
"unique_id": {
"type": "integer"
},
"desc": {
"type": "string"
},
"isimage": {
"type": "boolean"
},
"data": {
"type": "string"
},
"ticket_id": {
"type": "integer"
},
"action_id": {
"type": "integer"
},
"outcome_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"attachmentaction_id": {
"type": "integer"
},
"_canupdate": {
"type": "boolean"
},
"guid": {
"type": "string"
},
"image_upload_id": {
"type": "integer"
},
"image_upload_key": {
"type": "string"
},
"file": {
"type": "string"
},
"_enduserportalpdfprint": {
"type": "boolean"
},
"anon_outcomeid": {
"type": "integer"
},
"has_scanned": {
"type": "boolean"
},
"_warning": {
"type": "string"
},
"_is_new_version": {
"type": "boolean"
},
"parent_name": {
"type": "string"
},
"parent_desc": {
"type": "string"
},
"version_count": {
"type": "integer"
},
"_alreadyuploaded": {
"type": "boolean"
},
"copy_from_id": {
"type": "integer"
},
"new_external_link": {
"type": "object"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_additional_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"import_details_id": {
"type": "integer"
},
"external_links": {
"type": "array"
},
"access_control": {
"type": "array"
},
"_start_transcription": {
"type": "boolean"
},
"_transcription_started": {
"type": "boolean"
},
"_transcription_is_new_action": {
"type": "boolean"
},
"showforusers": {
"type": "boolean"
},
"showonchild": {
"type": "boolean"
},
"showonrelated": {
"type": "boolean"
},
"data_base64": {
"type": "string"
},
"download_url": {
"type": "string"
},
"third_party_token": {
"type": "string"
},
"already_posted": {
"type": "boolean"
},
"faultid": {
"type": "integer"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"s3url": {
"type": "string"
},
"att_link": {
"type": "string"
},
"child_count": {
"type": "integer"
},
"parent_id": {
"type": "integer"
},
"linked_version_id": {
"type": "integer"
},
"allow_anon_upload": {
"type": "boolean"
},
"tickettype_id": {
"type": "integer"
},
"tickettype_guid": {
"type": "string"
},
"validate_guid": {
"type": "string"
},
"import_parentid": {
"type": "string"
},
"folder_hierarchy": {
"type": "string"
},
"access_control_level": {
"type": "integer"
},
"is_s3": {
"type": "boolean"
}
}
},
"description": "The attachments value"
},
"update_children": {
"type": "boolean",
"description": "Update Children"
},
"update_parent": {
"type": "boolean",
"description": "Update Parent"
},
"send_survey": {
"type": "boolean",
"description": "Send Survey"
},
"signature_customer": {
"type": "string",
"description": "Signature Customer"
},
"signature_customer_name": {
"type": "string",
"description": "Signature Customer Name"
},
"signature_agent": {
"type": "string",
"description": "Signature Agent"
},
"signature_agent_name": {
"type": "string",
"description": "Signature Agent Name"
},
"follow": {
"type": "boolean",
"description": "The follow value"
},
"unfollow": {
"type": "boolean",
"description": "The unfollow value"
},
"primaryserviceusersfollow": {
"type": "boolean",
"description": "The primaryserviceusersfollow value"
},
"appointment_id": {
"type": "integer",
"format": "int32",
"description": "Appointment Id"
},
"appointment_complete_status": {
"type": "integer",
"format": "int32",
"description": "Appointment Complete Status"
},
"add_followup_appointment": {
"type": "boolean",
"description": "Add Followup Appointment"
},
"add_followup_task": {
"type": "boolean",
"description": "Add Followup Task"
},
"_appointment_force": {
"type": "boolean",
"description": "Appointment Force"
},
"copy_to_id": {
"type": "integer",
"format": "int32",
"description": "Copy To Id"
},
"third_party_product_id": {
"type": "string",
"description": "Third Party Product Id"
},
"third_party_version_id": {
"type": "string",
"description": "Third Party Version Id"
},
"_forcereassign": {
"type": "boolean",
"description": "The forcereassign value"
},
"_appointment01_ok": {
"type": "boolean",
"description": "Appointment01 Ok"
},
"_agent01_ok": {
"type": "boolean",
"description": "Agent01 Ok"
},
"_agent02_ok": {
"type": "boolean",
"description": "Agent02 Ok"
},
"_ticketclash01_ok": {
"type": "boolean",
"description": "Ticketclash01 Ok"
},
"_maintenance01_ok": {
"type": "boolean",
"description": "Maintenance01 Ok"
},
"_maintenancesuggest01_ok": {
"type": "boolean",
"description": "Maintenancesuggest01 Ok"
},
"_canupdate": {
"type": "boolean",
"description": "The canupdate value"
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"changeguid": {
"type": "string"
},
"intent": {
"type": "string"
},
"inventory_number": {
"type": "string"
},
"key_field": {
"type": "string"
},
"key_field2": {
"type": "string"
},
"key_field3": {
"type": "string"
},
"client_id": {
"type": "integer"
},
"client_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"business_owner_id": {
"type": "integer"
},
"business_owner_name": {
"type": "string"
},
"business_owner_site": {
"type": "string"
},
"business_owner_client": {
"type": "string"
},
"business_owner_cab_id": {
"type": "integer"
},
"business_owner_cab_name": {
"type": "string"
},
"username": {
"type": "string"
},
"technical_owner_id": {
"type": "integer"
},
"technical_owner_name": {
"type": "string"
},
"technical_owner_cab_id": {
"type": "integer"
},
"technical_owner_cab_name": {
"type": "string"
},
"intune_default_site": {
"type": "integer"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"colour": {
"type": "string"
},
"icon": {
"type": "string"
},
"warranty_end": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"is_primary_asset": {
"type": "boolean"
},
"parent_id": {
"type": "integer"
},
"lansweeper_parent_id": {
"type": "string"
},
"child_id": {
"type": "integer"
},
"sibling_id": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"contract_ref": {
"type": "string"
},
"contract_id": {
"type": "integer"
},
"supplier_id": {
"type": "integer"
},
"supplier_name": {
"type": "string"
},
"manufacturer_id": {
"type": "integer"
},
"manufacturer_name": {
"type": "string"
},
"supplier_contract_id": {
"type": "integer"
},
"supplier_contract_ref": {
"type": "string"
},
"supplier_sla_id": {
"type": "integer"
},
"supplier_priority_id": {
"type": "integer"
},
"fields": {
"type": "array"
},
"customfields": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"default_contract_value": {
"type": "number"
},
"itemstock_id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"stock_date": {
"type": "string"
},
"non_consignable": {
"type": "boolean"
},
"reserved_salesorder_id": {
"type": "integer"
},
"reserved_salesorder_line_id": {
"type": "integer"
},
"matching_field": {
"type": "string"
},
"is_auto_picking_asset_tag": {
"type": "boolean"
},
"device42_id": {
"type": "integer"
},
"device42_url": {
"type": "string"
},
"related_services": {
"type": "string"
},
"technical_owner": {
"type": "string"
},
"business_owner": {
"type": "string"
},
"primary_asset_chart_json": {
"type": "string"
},
"criticality": {
"type": "integer"
},
"service_id": {
"type": "integer"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"use": {
"type": "string"
},
"device_number": {
"type": "integer"
},
"assettype_guid": {
"type": "string"
},
"owning_portfolio_name": {
"type": "string"
},
"owning_service_name": {
"type": "string"
},
"owning_businessapp_name": {
"type": "string"
},
"owning_ci_name": {
"type": "string"
},
"warranty_start": {
"type": "string"
},
"labour_warranty_start": {
"type": "string"
},
"labour_warranty_end": {
"type": "string"
},
"parent_guid": {
"type": "string"
},
"child_guid": {
"type": "string"
},
"status_id": {
"type": "integer"
},
"status_name": {
"type": "string"
},
"third_party_id": {
"type": "integer"
},
"sla_name": {
"type": "string"
},
"priority_name": {
"type": "string"
},
"latest_contract_ref": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"ncentral_url": {
"type": "string"
},
"ncentral_remote_url": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"atera_id": {
"type": "string"
},
"automate_id": {
"type": "integer"
},
"automate_url": {
"type": "string"
},
"connectwise_control_url": {
"type": "string"
},
"ninjarmm_id": {
"type": "integer"
},
"ninja_url": {
"type": "string"
},
"ninja_remote_url": {
"type": "string"
},
"syncro_url": {
"type": "string"
},
"syncroid": {
"type": "integer"
},
"itglue_url": {
"type": "string"
},
"defaultsequence": {
"type": "integer"
},
"service_ids": {
"type": "string"
},
"bulkcreated": {
"type": "boolean"
},
"bulkbillingperiod": {
"type": "integer"
},
"asset_field": {
"type": "string"
},
"datto_alternate_id": {
"type": "integer"
},
"syncro_id": {
"type": "string"
},
"domotz_id": {
"type": "string"
},
"snow_id": {
"type": "integer"
},
"passportal_id": {
"type": "integer"
},
"auvik_device_id": {
"type": "string"
},
"auvik_url": {
"type": "string"
},
"allowallstatus": {
"type": "boolean"
},
"allowed_status": {
"type": "array"
},
"allowallcustombuttons": {
"type": "boolean"
},
"allowed_custombuttons": {
"type": "array"
},
"datto_id": {
"type": "string"
},
"addigy_id": {
"type": "string"
},
"liongard_url": {
"type": "string"
},
"liongard_environmnet_id": {
"type": "integer"
},
"liongard_id": {
"type": "string"
},
"kaseya_id": {
"type": "string"
},
"iskaseyaagent": {
"type": "boolean"
},
"kaseyavsa_url": {
"type": "string"
},
"addigy_url": {
"type": "string"
},
"teamviewerid": {
"type": "string"
},
"serialization_user": {
"type": "integer"
},
"zabbix_id": {
"type": "string"
},
"zabbix_url": {
"type": "string"
},
"stockbin_name": {
"type": "string"
},
"issue_consignment_line_id": {
"type": "integer"
},
"item_name": {
"type": "string"
},
"datto_url": {
"type": "string"
},
"ncentral_details_id": {
"type": "integer"
},
"nable_id": {
"type": "string"
},
"connectwisecontrolid": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"workspace_id": {
"type": "string"
},
"workspace_url": {
"type": "string"
},
"intune_id": {
"type": "string"
},
"supplier_purchasedate": {
"type": "string"
},
"logicmonitor_id": {
"type": "string"
},
"barracudarmm_id": {
"type": "string"
},
"sla_id": {
"type": "integer"
},
"priority_id": {
"type": "integer"
},
"icinga_id": {
"type": "string"
},
"related_service_name": {
"type": "string"
},
"related_service_count": {
"type": "integer"
},
"connectwisermm_id": {
"type": "string"
},
"xensam_id": {
"type": "string"
},
"asset_type_priority": {
"type": "integer"
},
"snipeit_id": {
"type": "string"
},
"prometheus_id": {
"type": "string"
},
"dynatrace_id": {
"type": "string"
},
"vmworkspace_id": {
"type": "string"
},
"tanium_id": {
"type": "string"
},
"tenable_id": {
"type": "string"
},
"kandji_id": {
"type": "string"
},
"criticality_description": {
"type": "string"
},
"auvik_id": {
"type": "string"
},
"is_template": {
"type": "boolean"
},
"aws_id": {
"type": "string"
},
"manageengine_id": {
"type": "string"
},
"manageengine_customer_id": {
"type": "string"
},
"lastchangeofvaluedate": {
"type": "string"
},
"commissiondate": {
"type": "string"
},
"first_user_id": {
"type": "integer"
},
"changebackupexists": {
"type": "boolean"
},
"_isbatch": {
"type": "boolean"
},
"virima_id": {
"type": "string"
},
"service_guid": {
"type": "string"
},
"service_name": {
"type": "string"
},
"lansweeperid": {
"type": "string"
},
"eracent_id": {
"type": "string"
},
"changehistory_last_updated": {
"type": "string"
},
"changehistory_updated_by": {
"type": "string"
},
"changehistory_created_by": {
"type": "string"
},
"changehistory_created_date": {
"type": "string"
},
"auto_link": {
"type": "boolean"
},
"impact_statement": {
"type": "string"
},
"activity_statement": {
"type": "string"
},
"raynet_id": {
"type": "string"
},
"armis_id": {
"type": "string"
},
"kaseyavsax_id": {
"type": "string"
},
"diagram_field1": {
"type": "string"
},
"diagram_field2": {
"type": "string"
},
"diagram_field3": {
"type": "string"
},
"ci_type": {
"type": "integer"
},
"manually_linked_ticket": {
"type": "boolean"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "The assets value"
},
"dont_do_rules": {
"type": "boolean",
"description": "Dont Do Rules"
},
"_includeticketinresponse": {
"type": "boolean",
"description": "The includeticketinresponse value"
},
"jira_original_estimate": {
"type": "number",
"format": "double",
"description": "Jira Original Estimate"
},
"jira_remaining_estimate": {
"type": "number",
"format": "double",
"description": "Jira Remaining Estimate"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"actionoohtime": {
"type": "number",
"format": "double",
"description": "The actionoohtime value"
},
"actionholidaytime": {
"type": "number",
"format": "double",
"description": "The actionholidaytime value"
},
"actiontotaloohtime": {
"type": "number",
"format": "double",
"description": "The actiontotaloohtime value"
},
"quotation_id": {
"type": "integer",
"format": "int32",
"description": "Quotation Id"
},
"salesorder_id": {
"type": "integer",
"format": "int32",
"description": "Salesorder Id"
},
"purchaseorder_id": {
"type": "integer",
"format": "int32",
"description": "Purchaseorder Id"
},
"invoice_id": {
"type": "integer",
"format": "int32",
"description": "Invoice Id"
},
"recalculate_billing": {
"type": "boolean",
"description": "Recalculate Billing"
},
"dont_recalculate_time": {
"type": "boolean",
"description": "Dont Recalculate Time"
},
"_isimport": {
"type": "boolean",
"description": "The isimport value"
},
"_isinboundsales": {
"type": "boolean",
"description": "The isinboundsales value"
},
"sendactiontopagerduty": {
"type": "boolean",
"description": "The sendactiontopagerduty value"
},
"oktoclose": {
"type": "boolean",
"description": "The oktoclose value"
},
"remotetechid": {
"type": "integer",
"format": "int32",
"description": "The remotetechid value"
},
"utcoffset": {
"type": "number",
"format": "double",
"description": "The utcoffset value"
},
"statisfaction_level": {
"type": "integer",
"format": "int32",
"description": "Statisfaction Level"
},
"senttoapisupplierid": {
"type": "integer",
"format": "int32",
"description": "The senttoapisupplierid value"
},
"send_jira_attachments": {
"type": "boolean",
"description": "Send Jira Attachments"
},
"jira_reporter": {
"type": "integer",
"format": "int32",
"description": "Jira Reporter"
},
"smsto": {
"type": "string",
"description": "The smsto value"
},
"sendsms": {
"type": "boolean",
"description": "The sendsms value"
},
"_dontupdate_devops": {
"type": "boolean",
"description": "Dontupdate Devops"
},
"send_devops_note": {
"type": "boolean",
"description": "Send Devops Note"
},
"_isnotify": {
"type": "boolean",
"description": "The isnotify value"
},
"_iscountersign": {
"type": "boolean",
"description": "The iscountersign value"
},
"move_to_id": {
"type": "integer",
"format": "int32",
"description": "Move To Id"
},
"sendactiontosplunkoncall": {
"type": "boolean",
"description": "The sendactiontosplunkoncall value"
},
"third_party_who": {
"type": "string",
"description": "Third Party Who"
},
"_faultForce": {
"type": "boolean",
"description": "Fault Force"
},
"private_note": {
"type": "string",
"description": "Private Note"
},
"isBulkEmail": {
"type": "boolean",
"description": "Is Bulk Email"
},
"new_workflow_id": {
"type": "integer",
"format": "int32",
"description": "New Workflow Id"
},
"_sendtweet": {
"type": "boolean",
"description": "The sendtweet value"
},
"replyto_tweet_id": {
"type": "integer",
"format": "int64",
"description": "Replyto Tweet Id"
},
"replyto_tweet_haloid": {
"type": "integer",
"format": "int32",
"description": "Replyto Tweet Haloid"
},
"changeinformationhtml": {
"type": "string",
"description": "The changeinformationhtml value"
},
"justification": {
"type": "string",
"description": "The justification value"
},
"impactlevel": {
"type": "integer",
"format": "int32",
"description": "The impactlevel value"
},
"impactdescription": {
"type": "string",
"description": "The impactdescription value"
},
"risklevel": {
"type": "integer",
"format": "int32",
"description": "The risklevel value"
},
"riskdescription": {
"type": "string",
"description": "The riskdescription value"
},
"backoutplan": {
"type": "string",
"description": "The backoutplan value"
},
"communicationplan": {
"type": "string",
"description": "The communicationplan value"
},
"testplan": {
"type": "string",
"description": "The testplan value"
},
"showonroadmap": {
"type": "boolean",
"description": "The showonroadmap value"
},
"roadmapnote": {
"type": "string",
"description": "The roadmapnote value"
},
"releasenote": {
"type": "string",
"description": "The releasenote value"
},
"releaseid": {
"type": "integer",
"format": "int32",
"description": "The releaseid value"
},
"releaseid2": {
"type": "integer",
"format": "int32",
"description": "The releaseid2 value"
},
"releaseid3": {
"type": "integer",
"format": "int32",
"description": "The releaseid3 value"
},
"releasenotegroupid": {
"type": "integer",
"format": "int32",
"description": "The releasenotegroupid value"
},
"releaseimportant": {
"type": "boolean",
"description": "The releaseimportant value"
},
"new_jira_components": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
},
"label": {
"type": "string"
},
"isnew": {
"type": "boolean"
}
}
},
"description": "New Jira Components"
},
"faultidfrom": {
"type": "integer",
"format": "int32",
"description": "The faultidfrom value"
},
"actionnumberfrom": {
"type": "integer",
"format": "int32",
"description": "The actionnumberfrom value"
},
"new_template_id": {
"type": "integer",
"format": "int32",
"description": "New Template Id"
},
"new_primary_asset_status": {
"type": "integer",
"format": "int32",
"description": "New Primary Asset Status"
},
"primary_asset_id": {
"type": "integer",
"format": "int32",
"description": "Primary Asset Id"
},
"new_rule_ids": {
"type": "string",
"description": "New Rule Ids"
},
"dont_update_fault": {
"type": "boolean",
"description": "Dont Update Fault"
},
"new_article_description": {
"type": "string",
"description": "New Article Description"
},
"new_article_resolution": {
"type": "string",
"description": "New Article Resolution"
},
"new_article_notes": {
"type": "string",
"description": "New Article Notes"
},
"new_article_type": {
"type": "integer",
"format": "int32",
"description": "New Article Type"
},
"new_tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"text": {
"type": "string"
},
"add_to_kbid": {
"type": "integer"
},
"add_to_ctid": {
"type": "integer"
},
"add_to_stid": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"add_to_stdid": {
"type": "integer"
},
"type": {
"type": "integer"
}
}
},
"description": "New Tags"
},
"new_faqlists": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string"
},
"intent": {
"type": "string"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"showforall": {
"type": "boolean"
},
"showforallagents": {
"type": "boolean"
},
"level": {
"type": "integer"
},
"description": {
"type": "string"
},
"is_group": {
"type": "boolean"
},
"group_id": {
"type": "integer"
},
"group_name": {
"type": "string"
},
"full_name": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"article_count": {
"type": "integer"
},
"type": {
"type": "integer"
},
"grandparent_name": {
"type": "string"
},
"greatgrandparent_name": {
"type": "string"
},
"greatgreatgrandparent_name": {
"type": "string"
},
"greatgreatgreatgrandparent_name": {
"type": "string"
},
"fullgroup_name": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_additional_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_isimport": {
"type": "boolean"
},
"_importtype": {
"type": "string"
},
"import_details_id": {
"type": "integer"
},
"third_party_id": {
"type": "string"
},
"translations": {
"type": "array"
},
"access_control": {
"type": "array"
},
"access_control_level": {
"type": "integer"
},
"dontshowonportal": {
"type": "boolean"
},
"allow_indexing": {
"type": "boolean"
},
"geo_restrictions": {
"type": "array"
},
"linked_articles": {
"type": "array"
},
"style_profile_links": {
"type": "array"
},
"showtoallwithperms": {
"type": "boolean"
},
"show_to_all_suppliers": {
"type": "boolean"
}
}
},
"description": "New Faqlists"
},
"new_related_articles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"view_count": {
"type": "integer"
},
"useful_count": {
"type": "integer"
},
"notuseful_count": {
"type": "integer"
},
"date_created": {
"type": "string"
},
"date_edited": {
"type": "string"
},
"tag_string": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"type": {
"type": "integer"
},
"next_review_date": {
"type": "string"
},
"customfields": {
"type": "array"
},
"limit_start_date": {
"type": "string"
},
"limit_end_date": {
"type": "string"
},
"editor_type": {
"type": "integer"
},
"kb_tags": {
"type": "string"
},
"agent_view_count": {
"type": "integer"
},
"confluence_url": {
"type": "string"
},
"search_score": {
"type": "number"
},
"resolution_list": {
"type": "string"
},
"link": {
"type": "string"
},
"geo_restrictions": {
"type": "array"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"ticket_template_id": {
"type": "integer"
},
"faqdseq": {
"type": "integer"
},
"faqliststr": {
"type": "string"
},
"faqlists": {
"type": "array"
},
"description_list": {
"type": "string"
},
"key_copy": {
"type": "string"
},
"all_version_view_count": {
"type": "integer"
},
"search_count": {
"type": "integer"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "New Related Articles"
},
"ignoredatedoneisstartdate": {
"type": "boolean",
"description": "The ignoredatedoneisstartdate value"
},
"sentinel_id": {
"type": "string",
"description": "Sentinel Id"
},
"_validate_travel": {
"type": "boolean",
"description": "Validate Travel"
},
"sync_to_sentinel": {
"type": "boolean",
"description": "Sync To Sentinel"
},
"sentinel_classification": {
"type": "string",
"description": "Sentinel Classification"
},
"sentinel_classification_reason": {
"type": "string",
"description": "Sentinel Classification Reason"
},
"g2aremote_id": {
"type": "string",
"description": "G2aremote Id"
},
"dontcreatechild": {
"type": "boolean",
"description": "The dontcreatechild value"
},
"needcreatechild": {
"type": "boolean",
"description": "The needcreatechild value"
},
"customfieldvalidationreason": {
"type": "string",
"description": "The customfieldvalidationreason value"
},
"servicestatusnote": {
"type": "string",
"description": "The servicestatusnote value"
},
"updateservicestatus": {
"type": "boolean",
"description": "The updateservicestatus value"
},
"new_child_cat_1": {
"type": "string",
"description": "New Child Cat 1"
},
"new_child_cat_2": {
"type": "string",
"description": "New Child Cat 2"
},
"new_child_cat_3": {
"type": "string",
"description": "New Child Cat 3"
},
"new_child_cat_4": {
"type": "string",
"description": "New Child Cat 4"
},
"usecroverride": {
"type": "boolean",
"description": "The usecroverride value"
},
"azure_action_complete": {
"type": "boolean",
"description": "Azure Action Complete"
},
"_dontupdate_jira": {
"type": "boolean",
"description": "Dontupdate Jira"
},
"send_jira_note": {
"type": "boolean",
"description": "Send Jira Note"
},
"entity_type": {
"type": "string",
"description": "Entity Type"
},
"rmm_close": {
"type": "boolean",
"description": "Rmm Close"
},
"dattormm_close": {
"type": "boolean",
"description": "Dattormm Close"
},
"external_links": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"table_id": {
"type": "integer"
},
"module_id": {
"type": "integer"
},
"integration_name": {
"type": "string"
},
"halo_id": {
"type": "integer"
},
"third_party_id": {
"type": "string"
},
"third_party_desc": {
"type": "string"
},
"third_party_type": {
"type": "string"
},
"third_party_url": {
"type": "string"
},
"third_party_assigned_to": {
"type": "string"
},
"third_party_count": {
"type": "integer"
},
"primary": {
"type": "boolean"
},
"halo_desc": {
"type": "string"
},
"halo_second_id": {
"type": "integer"
},
"halo_second_desc": {
"type": "string"
},
"extra_match_field": {
"type": "string"
},
"details_id": {
"type": "integer"
},
"third_party_secondary_id": {
"type": "string"
},
"_warning": {
"type": "string"
},
"third_party_status": {
"type": "string"
},
"third_party_priority": {
"type": "string"
},
"_match": {
"type": "boolean"
},
"populate_url": {
"type": "boolean"
},
"date_created": {
"type": "string"
},
"date_updated": {
"type": "string"
},
"subscription_id": {
"type": "string"
},
"new_subscription_key": {
"type": "string"
},
"subscription_expiry": {
"type": "string"
},
"_webhookaction": {
"type": "integer"
},
"revisions": {
"type": "integer"
},
"dont_move_existing_assets": {
"type": "boolean"
},
"chat_message_count": {
"type": "integer"
},
"third_party_additional_id": {
"type": "string"
},
"description": {
"type": "string"
},
"update_existing_link": {
"type": "boolean"
},
"filters": {
"type": "array"
},
"parent_id": {
"type": "integer"
},
"child_links": {
"type": "array"
},
"url_for_linked_entity": {
"type": "string"
},
"url_for_linked_entity_caption": {
"type": "string"
},
"icon_for_linked_entity_caption": {
"type": "string"
}
}
},
"description": "External Links"
},
"new_external_link": {
"type": "object",
"description": "New External Link"
},
"_match_thirdparty_id": {
"type": "string",
"description": "Match Thirdparty Id"
},
"_match_additional_id": {
"type": "string",
"description": "Match Additional Id"
},
"_match_integration_id": {
"type": "integer",
"format": "int32",
"description": "Match Integration Id"
},
"_match_integration_name": {
"type": "string",
"description": "Match Integration Name"
},
"sync_to_salesforce": {
"type": "boolean",
"description": "Sync To Salesforce"
},
"isbillingaction": {
"type": "boolean",
"description": "The isbillingaction value"
},
"ishiddenfrominternalit": {
"type": "boolean",
"description": "The ishiddenfrominternalit value"
},
"new_consignment": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"use": {
"type": "string"
},
"date": {
"type": "string"
},
"note": {
"type": "string"
},
"ticket_id": {
"type": "integer"
},
"address": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"user_name": {
"type": "string"
},
"salesorder_id": {
"type": "integer"
},
"lines": {
"type": "array"
},
"assets": {
"type": "array"
},
"_print_generate": {
"type": "boolean"
},
"pdftemplate_id": {
"type": "integer"
},
"printhtml": {
"type": "string"
},
"pdf_attachment_id": {
"type": "integer"
},
"stockbin_id": {
"type": "integer"
},
"assettomoveback": {
"type": "integer"
},
"ignoreserialisation": {
"type": "boolean"
},
"is_return": {
"type": "boolean"
},
"is_stock_to_stock": {
"type": "boolean"
},
"_warning": {
"type": "string"
}
}
},
"description": "New Consignment"
},
"faultstimeentryid": {
"type": "integer",
"format": "int32",
"description": "The faultstimeentryid value"
},
"billingoverriddenbytimeentry": {
"type": "integer",
"format": "int32",
"description": "The billingoverriddenbytimeentry value"
},
"sync_to_servicenow": {
"type": "boolean",
"description": "Sync To Servicenow"
},
"new_service_id": {
"type": "integer",
"format": "int32",
"description": "New Service Id"
},
"contract_date_override": {
"type": "string",
"format": "date-time",
"description": "Contract Date Override"
},
"parentactionnumber": {
"type": "integer",
"format": "int32",
"description": "The parentactionnumber value"
},
"parentactiondetails": {
"type": "string",
"description": "The parentactiondetails value"
},
"parentactiondate": {
"type": "string",
"format": "date-time",
"description": "The parentactiondate value"
},
"user_creation_failed": {
"type": "boolean",
"description": "User Creation Failed"
},
"followers_user": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"site_id": {
"type": "number"
},
"site_id_int": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"client_name": {
"type": "string"
},
"firstname": {
"type": "string"
},
"surname": {
"type": "string"
},
"initials": {
"type": "string"
},
"title": {
"type": "string"
},
"emailaddress": {
"type": "string"
},
"email2": {
"type": "string"
},
"email3": {
"type": "string"
},
"phonenumber_preferred": {
"type": "string"
},
"sitephonenumber": {
"type": "string"
},
"phonenumber": {
"type": "string"
},
"homenumber": {
"type": "string"
},
"mobilenumber": {
"type": "string"
},
"mobilenumber2": {
"type": "string"
},
"fax": {
"type": "string"
},
"telpref": {
"type": "integer"
},
"activedirectory_dn": {
"type": "string"
},
"onpremise_activedirectory_dn": {
"type": "string"
},
"container_dn": {
"type": "string"
},
"login": {
"type": "string"
},
"inactive": {
"type": "boolean"
},
"colour": {
"type": "string"
},
"isimportantcontact": {
"type": "boolean"
},
"other1": {
"type": "string"
},
"other2": {
"type": "string"
},
"other3": {
"type": "string"
},
"other4": {
"type": "string"
},
"other5": {
"type": "string"
},
"notes": {
"type": "string"
},
"neversendemails": {
"type": "boolean"
},
"default_currency_code": {
"type": "integer"
},
"site_guid": {
"type": "string"
},
"area_guid": {
"type": "string"
},
"site_cautomate_guid": {
"type": "string"
},
"priority_id": {
"type": "integer"
},
"linked_agent_id": {
"type": "integer"
},
"covered_by_contract": {
"type": "boolean"
},
"contract_value": {
"type": "number"
},
"software_role_name": {
"type": "string"
},
"customfields": {
"type": "array"
},
"attachments": {
"type": "array"
},
"relationship_id": {
"type": "integer"
},
"user_relationships": {
"type": "array"
},
"uddevsite": {
"type": "integer"
},
"uddevnum": {
"type": "integer"
},
"uduserid": {
"type": "integer"
},
"userdevicerolecount": {
"type": "integer"
},
"site_hubspot_guid": {
"type": "string"
},
"isserviceaccount": {
"type": "boolean"
},
"ignoreautomatedbilling": {
"type": "boolean"
},
"isimportantcontact2": {
"type": "boolean"
},
"connectwiseid": {
"type": "integer"
},
"autotaskid": {
"type": "integer"
},
"messagegroup_id": {
"type": "integer"
},
"role_list": {
"type": "string"
},
"sitetimezone": {
"type": "string"
},
"client_account_manager_id": {
"type": "integer"
},
"use": {
"type": "string"
},
"key": {
"type": "integer"
},
"table": {
"type": "integer"
},
"client_id": {
"type": "integer"
},
"item_tax_code": {
"type": "integer"
},
"automatic_sales_tax": {
"type": "boolean"
},
"client_taxable": {
"type": "boolean"
},
"overridepdftemplatequote": {
"type": "integer"
},
"overridepdftemplatequote_name": {
"type": "string"
},
"contract_end_date": {
"type": "string"
},
"okta_id": {
"type": "string"
},
"azure_id": {
"type": "string"
},
"user_with_clientsite": {
"type": "string"
},
"client_automatic_callscript_id": {
"type": "integer"
},
"neversendmarketingemails": {
"type": "boolean"
},
"is_prospect": {
"type": "boolean"
},
"whatsapp_number": {
"type": "string"
},
"azureoid": {
"type": "string"
},
"approver_note_hint": {
"type": "string"
},
"language_id": {
"type": "integer"
},
"date_of_birth": {
"type": "string"
},
"role_ids": {
"type": "array"
},
"avalara_tenant": {
"type": "integer"
},
"sailpoint_id": {
"type": "string"
},
"_importtypeid": {
"type": "integer"
},
"_importthirdpartyid": {
"type": "string"
},
"_importtype": {
"type": "string"
},
"new_external_link": {
"type": "object"
},
"import_details_id": {
"type": "integer"
},
"_isupdateimport": {
"type": "boolean"
},
"_match_thirdparty_id": {
"type": "string"
},
"_match_integration_id": {
"type": "integer"
},
"_match_integration_name": {
"type": "string"
},
"_match_integration_button_caption": {
"type": "string"
},
"_match_integration_button_url": {
"type": "string"
},
"_match_integration_button_icon": {
"type": "string"
}
}
},
"description": "Followers User"
},
"new_items_issued": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ticket_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"item_id": {
"type": "integer"
},
"quantity": {
"type": "number"
},
"quantity_shipped": {
"type": "number"
},
"unit": {
"type": "integer"
},
"costprice": {
"type": "number"
},
"price": {
"type": "number"
},
"status": {
"type": "string"
},
"date_shipped": {
"type": "string"
},
"note": {
"type": "string"
},
"note2": {
"type": "string"
},
"name": {
"type": "string"
},
"supplier_part_code": {
"type": "string"
},
"stocklocation_id": {
"type": "integer"
},
"stocklocation_name": {
"type": "string"
},
"quantity_in_stock": {
"type": "number"
},
"asset_number": {
"type": "integer"
},
"asset_site": {
"type": "integer"
},
"warranty_reported": {
"type": "boolean"
},
"selected": {
"type": "boolean"
},
"stock_adjusted_already": {
"type": "boolean"
},
"cost_centre": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"assetgroup_name": {
"type": "string"
},
"assettype_id": {
"type": "integer"
},
"assettype_name": {
"type": "string"
},
"supplier_name": {
"type": "string"
},
"tax": {
"type": "number"
},
"item_tax_code": {
"type": "integer"
},
"item_taxable": {
"type": "boolean"
},
"item_generic": {
"type": "integer"
},
"item_recurring": {
"type": "boolean"
},
"item_internal_reference": {
"type": "string"
},
"item_external_reference": {
"type": "string"
},
"item_tax_name": {
"type": "string"
},
"net_total": {
"type": "number"
},
"total_price": {
"type": "number"
},
"total_tax": {
"type": "number"
},
"total_net_total": {
"type": "number"
},
"consignment_ids": {
"type": "array"
},
"asset_id": {
"type": "integer"
},
"from_order_id": {
"type": "integer"
},
"from_order_line": {
"type": "integer"
},
"reserved_assets": {
"type": "array"
},
"inventory_number": {
"type": "string"
},
"stockbin_id": {
"type": "integer"
},
"asset_type_matching_field_name": {
"type": "string"
},
"_warning": {
"type": "string"
},
"budgettype_id": {
"type": "integer"
},
"serialise_only_one": {
"type": "boolean"
},
"recurringinvoice_id": {
"type": "integer"
},
"dont_track_stock": {
"type": "boolean"
}
}
},
"description": "New Items Issued"
},
"purchaseordernumber": {
"type": "string",
"description": "The purchaseordernumber value"
},
"database_lookup_result": {
"type": "object",
"description": "Database Lookup Result"
},
"new_supplier_contact_id": {
"type": "integer",
"format": "int32",
"description": "New Supplier Contact Id"
},
"new_pr_id": {
"type": "integer",
"format": "int32",
"description": "New Pr Id"
},
"new_branch_id": {
"type": "integer",
"format": "int32",
"description": "New Branch Id"
},
"_dontupdate_pagerduty": {
"type": "boolean",
"description": "Dontupdate Pagerduty"
},
"pagerdutyid": {
"type": "string",
"description": "The pagerdutyid value"
},
"facebook_from_id": {
"type": "string",
"description": "Facebook From Id"
},
"twitter_from_id": {
"type": "string",
"description": "Twitter From Id"
},
"sync_to_jira": {
"type": "boolean",
"description": "Sync To Jira"
},
"is_jira_supplier": {
"type": "boolean",
"description": "Is Jira Supplier"
},
"senttojirasupplierid": {
"type": "integer",
"format": "int32",
"description": "The senttojirasupplierid value"
},
"_importtype": {
"type": "string",
"description": "The importtype value"
},
"itsm_summary": {
"type": "string",
"description": "Itsm Summary"
},
"send_to_halo": {
"type": "boolean",
"description": "Send To Halo"
},
"send_to_whatsapp": {
"type": "boolean",
"description": "Send To Whatsapp"
},
"_ignore_ai": {
"type": "boolean",
"description": "Ignore Ai"
},
"_ignore_translate": {
"type": "boolean",
"description": "Ignore Translate"
},
"translate_note": {
"type": "boolean",
"description": "Translate Note"
},
"new_approvalprocess_role_id": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess Role Id"
},
"new_approvalprocess_customfieldid": {
"type": "integer",
"format": "int32",
"description": "New Approvalprocess Customfieldid"
},
"new_thirdpartyreviewscore": {
"type": "integer",
"format": "int32",
"description": "New Thirdpartyreviewscore"
},
"new_additional_agents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"faultid": {
"type": "integer"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "New Additional Agents"
},
"instagramid": {
"type": "string",
"description": "The instagramid value"
},
"instagramname": {
"type": "string",
"description": "The instagramname value"
},
"instagram_parent_id": {
"type": "string",
"description": "Instagram Parent Id"
},
"send_to_instagram": {
"type": "boolean",
"description": "Send To Instagram"
},
"replyto_instagram_id": {
"type": "string",
"description": "Replyto Instagram Id"
},
"senttoinsta": {
"type": "boolean",
"description": "The senttoinsta value"
},
"instagram_from_id": {
"type": "string",
"description": "Instagram From Id"
},
"dont_recalculate_billing": {
"type": "boolean",
"description": "Dont Recalculate Billing"
},
"is_third_party_supplier": {
"type": "boolean",
"description": "Is Third Party Supplier"
},
"senttoservicenowsupplierid": {
"type": "integer",
"format": "int32",
"description": "The senttoservicenowsupplierid value"
},
"timesheet_approval_status": {
"type": "integer",
"format": "int32",
"description": "Timesheet Approval Status"
},
"_changeprivate": {
"type": "boolean",
"description": "The changeprivate value"
},
"defprepayinvoicenumber": {
"type": "string",
"description": "The defprepayinvoicenumber value"
},
"defprepaydateinvoiced": {
"type": "string",
"format": "date-time",
"description": "The defprepaydateinvoiced value"
},
"defprepayamount": {
"type": "number",
"format": "double",
"description": "The defprepayamount value"
},
"new_colour": {
"type": "string",
"description": "New Colour"
},
"send_to_googlebusiness": {
"type": "boolean",
"description": "Send To Googlebusiness"
},
"original_agent": {
"type": "integer",
"format": "int32",
"description": "Original Agent"
},
"_isreplyaction": {
"type": "boolean",
"description": "The isreplyaction value"
},
"milestone_bill_id": {
"type": "integer",
"format": "int32",
"description": "Milestone Bill Id"
},
"new_oppjobtitle": {
"type": "string",
"description": "New Oppjobtitle"
},
"bigpanda_id": {
"type": "string",
"description": "Bigpanda Id"
},
"servicenow_type": {
"type": "integer",
"format": "int32",
"description": "Servicenow Type"
},
"internet_message_id": {
"type": "string",
"description": "Internet Message Id"
},
"allow_automation_on_related": {
"type": "boolean",
"description": "Allow Automation On Related"
},
"replying_to": {
"type": "integer",
"format": "int32",
"description": "Replying To"
},
"lapsafe_expiry_date": {
"type": "string",
"format": "date-time",
"description": "Lapsafe Expiry Date"
},
"lapsafe_asset": {
"type": "string",
"description": "Lapsafe Asset"
},
"lapsafe_bay": {
"type": "integer",
"format": "int32",
"description": "Lapsafe Bay"
},
"lapsafe_bay_id": {
"type": "string",
"description": "Lapsafe Bay Id"
},
"lapsafe_installation": {
"type": "string",
"description": "Lapsafe Installation"
},
"_slackaction": {
"type": "integer",
"format": "int32",
"description": "The slackaction value"
},
"_isportalagentnote": {
"type": "boolean",
"description": "The isportalagentnote value"
},
"devops_pipeline_id": {
"type": "integer",
"format": "int32",
"description": "Devops Pipeline Id"
},
"devops_pipeline_version": {
"type": "string",
"description": "Devops Pipeline Version"
},
"new_step": {
"type": "integer",
"format": "int32",
"description": "New Step"
},
"rr_log": {
"type": "object",
"description": "Rr Log"
},
"new_contributors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"username": {
"type": "string"
},
"agent_id": {
"type": "integer"
},
"agentname": {
"type": "string"
},
"code": {
"type": "integer"
},
"rolename": {
"type": "string"
},
"ticketid": {
"type": "integer"
},
"note": {
"type": "string"
},
"contributor_type": {
"type": "integer"
},
"quality": {
"type": "integer"
},
"_warning": {
"type": "string"
}
}
},
"description": "New Contributors"
},
"nextcalldate": {
"type": "string",
"format": "date-time",
"description": "The nextcalldate value"
},
"satisfaction": {
"type": "string",
"description": "The satisfaction value"
},
"new_CRM_note": {
"type": "object",
"description": "New CRM Note"
},
"_agent03_ok": {
"type": "boolean",
"description": "Agent03 Ok"
},
"_can_edit_billing_time": {
"type": "boolean",
"description": "Can Edit Billing Time"
},
"run_ai_insights": {
"type": "boolean",
"description": "Run Ai Insights"
},
"new_customer_signature": {
"type": "string",
"description": "New Customer Signature"
},
"new_agent_signature": {
"type": "string",
"description": "New Agent Signature"
},
"_prevent_outgoing": {
"type": "boolean",
"description": "Prevent Outgoing"
},
"new_client_id": {
"type": "integer",
"format": "int32",
"description": "New Client Id"
},
"new_site_id": {
"type": "integer",
"format": "int32",
"description": "New Site Id"
},
"new_user_id": {
"type": "integer",
"format": "int32",
"description": "New User Id"
},
"prepay_threshold": {
"type": "object",
"description": "Prepay Threshold"
},
"outgoingid": {
"type": "integer",
"format": "int32",
"description": "The outgoingid value"
},
"isundeliverable": {
"type": "boolean",
"description": "The isundeliverable value"
},
"new_distribution_list": {
"type": "integer",
"format": "int32",
"description": "New Distribution List"
},
"new_bulkemail": {
"type": "object",
"description": "New Bulkemail"
},
"bulkemail_users": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Bulkemail Users"
},
"bulkemail_tickets": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Bulkemail Tickets"
},
"_novalidate": {
"type": "boolean",
"description": "The novalidate value"
},
"ishaloack": {
"type": "boolean",
"description": "The ishaloack value"
},
"new_notepad": {
"type": "string",
"description": "New Notepad"
},
"sync_to_halo_api": {
"type": "integer",
"format": "int32",
"description": "Sync To Halo Api"
},
"excludefromemailthreading": {
"type": "boolean",
"description": "The excludefromemailthreading value"
},
"action_showkbpreview": {
"type": "boolean",
"description": "Action Showkbpreview"
},
"portal_supplier_update": {
"type": "boolean",
"description": "Portal Supplier Update"
},
"item_to_issue": {
"type": "integer",
"format": "int32",
"description": "Item To Issue"
},
"countersiguseagentsig": {
"type": "boolean",
"description": "The countersiguseagentsig value"
},
"countersignature": {
"type": "string",
"description": "The countersignature value"
},
"new_owning_service": {
"type": "integer",
"format": "int32",
"description": "New Owning Service"
},
"_apply_ai_suggestions": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Apply Ai Suggestions"
},
"subject_exceeds_max_length": {
"type": "boolean",
"description": "Subject Exceeds Max Length"
},
"set_ticket_ai_indexing": {
"type": "boolean",
"description": "Set Ticket Ai Indexing"
},
"new_is_maintenance": {
"type": "boolean",
"description": "New Is Maintenance"
},
"iseditaction": {
"type": "boolean",
"description": "The iseditaction value"
},
"set_response_if_not_set": {
"type": "boolean",
"description": "Set Response If Not Set"
},
"_kbduplicate01_ok": {
"type": "boolean",
"description": "Kbduplicate01 Ok"
},
"kb_ai_summary": {
"type": "string",
"description": "Kb Ai Summary"
},
"new_ticket_timezone": {
"type": "string",
"description": "New Ticket Timezone"
},
"adhoc_notify_team": {
"type": "integer",
"format": "int32",
"description": "Adhoc Notify Team"
},
"_dont_fire_automations": {
"type": "boolean",
"description": "Dont Fire Automations"
},
"whatsapp_content_template": {
"type": "string",
"description": "Whatsapp Content Template"
},
"whatsapp_to": {
"type": "string",
"description": "Whatsapp To"
},
"whatsapp_from_details_id": {
"type": "integer",
"format": "int32",
"description": "Whatsapp From Details Id"
},
"whatsapp_content_template_variables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"variable": {
"type": "string"
},
"default_value": {
"type": "string"
}
}
},
"description": "Whatsapp Content Template Variables"
},
"contact_address": {
"type": "object",
"description": "Contact Address"
},
"addautosuppressheader": {
"type": "boolean",
"description": "The addautosuppressheader value"
},
"outcome_id": {
"type": "integer",
"format": "int32",
"description": "Outcome Id"
},
"action_systemid": {
"type": "integer",
"format": "int32",
"description": "Action Systemid"
},
"dateemailed": {
"type": "string",
"format": "date-time",
"description": "The dateemailed value"
},
"timetaken": {
"type": "number",
"format": "double",
"description": "The timetaken value"
},
"timetakendays": {
"type": "number",
"format": "double",
"description": "The timetakendays value"
},
"timetakenadjusted": {
"type": "number",
"format": "double",
"description": "The timetakenadjusted value"
},
"nonbilltime": {
"type": "number",
"format": "double",
"description": "The nonbilltime value"
},
"traveltime": {
"type": "number",
"format": "double",
"description": "The traveltime value"
},
"mileage": {
"type": "number",
"format": "double",
"description": "The mileage value"
},
"actionchargehours": {
"type": "number",
"format": "double",
"description": "The actionchargehours value"
},
"actionnonchargeamount": {
"type": "number",
"format": "double",
"description": "The actionnonchargeamount value"
},
"actionnonchargehours": {
"type": "number",
"format": "double",
"description": "The actionnonchargehours value"
},
"actionchargeamount": {
"type": "number",
"format": "double",
"description": "The actionchargeamount value"
},
"actionprepayhours": {
"type": "number",
"format": "double",
"description": "The actionprepayhours value"
},
"actionprepayamount": {
"type": "number",
"format": "double",
"description": "The actionprepayamount value"
},
"actiontravelchargehours": {
"type": "number",
"format": "double",
"description": "The actiontravelchargehours value"
},
"chargerate": {
"type": "integer",
"format": "int32",
"description": "The chargerate value"
},
"travel_chargerate": {
"type": "integer",
"format": "int32",
"description": "Travel Chargerate"
},
"hiddenfromuser": {
"type": "boolean",
"description": "The hiddenfromuser value"
},
"important": {
"type": "boolean",
"description": "The important value"
},
"old_status": {
"type": "integer",
"format": "int32",
"description": "Old Status"
},
"new_status": {
"type": "integer",
"format": "int32",
"description": "New Status"
},
"new_status_name": {
"type": "string",
"description": "New Status Name"
},
"emailfrom": {
"type": "string",
"description": "The emailfrom value"
},
"emailtonew": {
"type": "string",
"description": "The emailtonew value"
},
"emailto": {
"type": "string",
"description": "The emailto value"
},
"emailccnew": {
"type": "string",
"description": "The emailccnew value"
},
"emaildirection": {
"type": "string",
"description": "The emaildirection value"
},
"emailcc": {
"type": "string",
"description": "The emailcc value"
},
"emailsubjectnew": {
"type": "string",
"description": "The emailsubjectnew value"
},
"senttoapiurl": {
"type": "string",
"description": "The senttoapiurl value"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"attachment_count": {
"type": "integer",
"format": "int32",
"description": "Attachment Count"
},
"unread": {
"type": "integer",
"format": "int32",
"description": "The unread value"
},
"actionby_application_id": {
"type": "string",
"description": "Actionby Application Id"
},
"action_travel_contract_ref": {
"type": "string",
"description": "Action Travel Contract Ref"
},
"actionby_user_id": {
"type": "integer",
"format": "int32",
"description": "Actionby User Id"
},
"hide_user_visibility_toggle": {
"type": "boolean",
"description": "Hide User Visibility Toggle"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_tickets_create_canned_text
POST /CannedText Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string",
"format": "uuid",
"description": "The guid value"
},
"intent": {
"type": "string",
"description": "The intent value"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"name": {
"type": "string",
"description": "The name value"
},
"group_id": {
"type": "integer",
"format": "int32",
"description": "Group Id"
},
"text": {
"type": "string",
"description": "The text value"
},
"html": {
"type": "string",
"description": "The html value"
},
"restriction_type": {
"type": "integer",
"format": "int32",
"description": "Restriction Type"
},
"department_id": {
"type": "integer",
"format": "int32",
"description": "Department Id"
},
"team_id": {
"type": "integer",
"format": "int32",
"description": "Team Id"
},
"agent_id": {
"type": "integer",
"format": "int32",
"description": "Agent Id"
},
"_canupdate": {
"type": "boolean",
"description": "The canupdate value"
},
"is_favourite": {
"type": "boolean",
"description": "Is Favourite"
},
"access_control": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"type": {
"type": "integer"
},
"agent_id": {
"type": "integer"
},
"user_id": {
"type": "integer"
},
"role_id": {
"type": "integer"
},
"team_id": {
"type": "integer"
},
"team_guid": {
"type": "string"
},
"department_id": {
"type": "integer"
},
"department_guid": {
"type": "string"
},
"name": {
"type": "string"
},
"level": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"entity_name": {
"type": "string"
},
"entity_text_id": {
"type": "string"
}
}
},
"description": "Access Control"
},
"access_control_level": {
"type": "integer",
"format": "int32",
"description": "Access Control Level"
},
"_isimport": {
"type": "boolean",
"description": "The isimport value"
},
"_importtype": {
"type": "string",
"description": "The importtype value"
},
"group_name": {
"type": "string",
"description": "Group Name"
},
"tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"text": {
"type": "string"
},
"add_to_kbid": {
"type": "integer"
},
"add_to_ctid": {
"type": "integer"
},
"add_to_stid": {
"type": "integer"
},
"_warning": {
"type": "string"
},
"add_to_stdid": {
"type": "integer"
},
"type": {
"type": "integer"
}
}
},
"description": "The tags value"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"departments": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The departments value"
},
"teams": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The teams value"
},
"agents": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The agents value"
},
"roles": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The roles value"
},
"freshdesk_attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"content_type": {
"type": "string"
},
"size": {
"type": "integer"
},
"name": {
"type": "string"
},
"attachment_url": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
},
"description": "Freshdesk Attachments"
},
"shortcut_key": {
"type": "string",
"description": "Shortcut Key"
},
"entity": {
"type": "integer",
"format": "int32",
"description": "The entity value"
},
"new_agentid": {
"type": "integer",
"format": "int32",
"description": "New Agentid"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_tickets_create_category
POST /Category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"guid": {
"type": "string",
"format": "uuid",
"description": "The guid value"
},
"intent": {
"type": "string",
"description": "The intent value"
},
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"value": {
"type": "string",
"description": "The value value"
},
"category_name": {
"type": "string",
"description": "Category Name"
},
"type_id": {
"type": "integer",
"format": "int32",
"description": "Type Id"
},
"sla_id": {
"type": "integer",
"format": "int32",
"description": "Sla Id"
},
"priority_id": {
"type": "integer",
"format": "int32",
"description": "Priority Id"
},
"chargerate": {
"type": "integer",
"format": "int32",
"description": "The chargerate value"
},
"category_group_id": {
"type": "integer",
"format": "int32",
"description": "Category Group Id"
},
"_isnew": {
"type": "boolean",
"description": "The isnew value"
},
"include_note": {
"type": "boolean",
"description": "Include Note"
},
"note": {
"type": "string",
"description": "The note value"
},
"user_note": {
"type": "string",
"description": "User Note"
},
"itilrequesttype": {
"type": "integer",
"format": "int32",
"description": "The itilrequesttype value"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"is_integration": {
"type": "boolean",
"description": "Is Integration"
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"language_id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"fieldname": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"entity_id2": {
"type": "integer"
},
"entity_id3": {
"type": "integer"
},
"entity_textid": {
"type": "string"
},
"translation": {
"type": "string"
},
"_dotranslate": {
"type": "boolean"
},
"_translateonly": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"default_translation": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "The translations value"
},
"allow_ai_auggestion": {
"type": "boolean",
"description": "Allow Ai Auggestion"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_tickets_create_priority
POST /Priority Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The id value"
},
"slaid": {
"type": "integer",
"format": "int32",
"description": "The slaid value"
},
"sla_guid": {
"type": "string",
"format": "uuid",
"description": "Sla Guid"
},
"priorityid": {
"type": "integer",
"format": "int32",
"description": "The priorityid value"
},
"name": {
"type": "string",
"description": "The name value"
},
"fixtime": {
"type": "number",
"format": "double",
"description": "The fixtime value"
},
"fixunits": {
"type": "string",
"description": "The fixunits value"
},
"enterslaexcuse": {
"type": "boolean",
"description": "The enterslaexcuse value"
},
"responsetime": {
"type": "number",
"format": "double",
"description": "The responsetime value"
},
"responseunits": {
"type": "string",
"description": "The responseunits value"
},
"ishidden": {
"type": "boolean",
"description": "The ishidden value"
},
"fixendofday": {
"type": "boolean",
"description": "The fixendofday value"
},
"responseendofday": {
"type": "boolean",
"description": "The responseendofday value"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"catprompt": {
"type": "integer",
"format": "int32",
"description": "The catprompt value"
},
"workdaysoverride": {
"type": "integer",
"format": "int32",
"description": "The workdaysoverride value"
},
"responsestartofday": {
"type": "boolean",
"description": "The responsestartofday value"
},
"responsestartofdaytime": {
"type": "string",
"format": "date-span",
"description": "The responsestartofdaytime value"
},
"startofday": {
"type": "boolean",
"description": "The startofday value"
},
"startofdaytime": {
"type": "string",
"format": "date-span",
"description": "The startofdaytime value"
},
"setfixtostartdate": {
"type": "boolean",
"description": "The setfixtostartdate value"
},
"setfixtotargetdate": {
"type": "boolean",
"description": "The setfixtotargetdate value"
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"language_id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"fieldname": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"entity_id2": {
"type": "integer"
},
"entity_id3": {
"type": "integer"
},
"entity_textid": {
"type": "string"
},
"translation": {
"type": "string"
},
"_dotranslate": {
"type": "boolean"
},
"_translateonly": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"default_translation": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "The translations value"
},
"enterslaresponseexcuse": {
"type": "boolean",
"description": "The enterslaresponseexcuse value"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"_isimport": {
"type": "boolean",
"description": "The isimport value"
},
"_importtype": {
"type": "string",
"description": "The importtype value"
},
"sla_name": {
"type": "string",
"description": "Sla Name"
},
"firstresponsetime": {
"type": "number",
"format": "double",
"description": "The firstresponsetime value"
},
"firstresponseunits": {
"type": "string",
"description": "The firstresponseunits value"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_tickets_create_status
POST /Status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"guid": {
"type": "string",
"format": "uuid",
"description": "The guid value"
},
"intent": {
"type": "string",
"description": "The intent value"
},
"name": {
"type": "string",
"description": "The name value"
},
"shortname": {
"type": "string",
"description": "The shortname value"
},
"type": {
"type": "integer",
"format": "int32",
"description": "The type value"
},
"sequence": {
"type": "integer",
"format": "int32",
"description": "The sequence value"
},
"colour": {
"type": "string",
"description": "The colour value"
},
"slaaction": {
"type": "string",
"description": "The slaaction value"
},
"ticket_count": {
"type": "integer",
"format": "int32",
"description": "Ticket Count"
},
"showonquickchange": {
"type": "boolean",
"description": "The showonquickchange value"
},
"timeuntilloffhold": {
"type": "number",
"format": "double",
"description": "The timeuntilloffhold value"
},
"statuschangeto": {
"type": "integer",
"format": "int32",
"description": "The statuschangeto value"
},
"statuschangetofreq": {
"type": "number",
"format": "double",
"description": "The statuschangetofreq value"
},
"statusnochangehours": {
"type": "number",
"format": "double",
"description": "The statusnochangehours value"
},
"nochangehoursrecurring": {
"type": "boolean",
"description": "The nochangehoursrecurring value"
},
"statusnochangehoursmanager": {
"type": "integer",
"format": "int32",
"description": "The statusnochangehoursmanager value"
},
"statusnochangehoursmanagerrecurring": {
"type": "boolean",
"description": "The statusnochangehoursmanagerrecurring value"
},
"statusnochangehourssection": {
"type": "number",
"format": "double",
"description": "The statusnochangehourssection value"
},
"statusnochangehourssectionrecurring": {
"type": "boolean",
"description": "The statusnochangehourssectionrecurring value"
},
"nochangetemplate": {
"type": "integer",
"format": "int32",
"description": "The nochangetemplate value"
},
"nochangetemplate_guid": {
"type": "string",
"format": "uuid",
"description": "Nochangetemplate Guid"
},
"includeinloadbalance": {
"type": "boolean",
"description": "The includeinloadbalance value"
},
"statusemailfreqdays": {
"type": "integer",
"format": "int32",
"description": "The statusemailfreqdays value"
},
"statusemailid": {
"type": "integer",
"format": "int32",
"description": "The statusemailid value"
},
"statusemail_guid": {
"type": "string",
"format": "uuid",
"description": "Statusemail Guid"
},
"statusemailname": {
"type": "string",
"description": "The statusemailname value"
},
"notifystatuschange": {
"type": "integer",
"format": "int32",
"description": "The notifystatuschange value"
},
"dontsendslareminders": {
"type": "boolean",
"description": "The dontsendslareminders value"
},
"nochangetemplatename": {
"type": "string",
"description": "The nochangetemplatename value"
},
"slaignorerelease": {
"type": "boolean",
"description": "The slaignorerelease value"
},
"statuschangetoname": {
"type": "string",
"description": "The statuschangetoname value"
},
"_warning": {
"type": "string",
"description": "The warning value"
},
"useworkinghours": {
"type": "integer",
"format": "int32",
"description": "The useworkinghours value"
},
"tickettypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
},
"label": {
"type": "string"
},
"isnew": {
"type": "boolean"
}
}
},
"description": "The tickettypes value"
},
"outcomes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string"
},
"label": {
"type": "string"
},
"isnew": {
"type": "boolean"
}
}
},
"description": "The outcomes value"
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"language_id": {
"type": "integer"
},
"entity": {
"type": "string"
},
"fieldname": {
"type": "string"
},
"entity_id": {
"type": "integer"
},
"entity_id2": {
"type": "integer"
},
"entity_id3": {
"type": "integer"
},
"entity_textid": {
"type": "string"
},
"translation": {
"type": "string"
},
"_dotranslate": {
"type": "boolean"
},
"_translateonly": {
"type": "boolean"
},
"_isimport": {
"type": "boolean"
},
"default_translation": {
"type": "string"
},
"_warning": {
"type": "string"
}
}
},
"description": "The translations value"
},
"useworkinghours_statusnochangehours": {
"type": "integer",
"format": "int32",
"description": "Useworkinghours Statusnochangehours"
},
"useworkinghours_statusnochangehourssection": {
"type": "integer",
"format": "int32",
"description": "Useworkinghours Statusnochangehourssection"
},
"useworkinghours_statusnochangehoursmanager": {
"type": "integer",
"format": "int32",
"description": "Useworkinghours Statusnochangehoursmanager"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
haloitsm_tickets_create_tickets
POST /Tickets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int32",
"description": "The id value"
},
"dateoccurred": {
"type": "string",
"format": "date-time",
"description": "The dateoccurred value"
},
"summary": {
"type": "string",
"description": "The summary value"
},
"details": {
"type": "string",
"description": "The details value"
},
"status_id": {
"type": "integer",
"format": "int32",
"description": "Status Id"
},
"status_name": {
"type": "string",
"description": "Status Name"
},
"tickettype_id": {
"type": "integer",
"format": "int32",
"description": "Tickettype Id"
},
"tickettype_name": {
"type": "string",
"description": "Tickettype Name"
},
"sla_id": {
"type": "integer",
"format": "int32",
"description": "Sla Id"
},
"sla_name": {
"type": "string",
"description": "Sla Name"
},
"priority_id": {
"type": "integer",
"format": "int32",
"description": "Priority Id"
},
"client_id": {
"type": "integer",
"format": "int32",
"description": "Client Id"
},
"client_name": {
"type": "string",
"description": "Client Name"
},
"site_id": {
"type": "integer",
"format": "int32",
"description": "Site Id"
},
"site_name": {
"type": "string",
"description": "Site Name"
},
"user_id": {
"type": "integer",
"format": "int32",
"description": "User Id"
},
"user_name": {
"type": "string",
"description": "User Name"
},
"team_id": {
"type": "integer",
"format": "int32",
"description": "Team Id"
},
"team": {
"type": "string",
"description": "The team value"
},
"agent_id": {
"type": "integer",
"format": "int32",
"description": "Agent Id"
},
"agent_name": {
"type": "string",
"description": "Agent Name"
},
"category_1": {
"type": "string",
"description": "Category 1"
},
"category_2": {
"type": "string",
"description": "Category 2"
},
"category_3": {
"type": "string",
"description": "Category 3"
},
"category_4": {
"type": "string",
"description": "Category 4"
},
"categoryid_1": {
"type": "integer",
"format": "int32",
"description": "Categoryid 1"
},
"categoryid_2": {
"type": "integer",
"format": "int32",
"description": "Categoryid 2"
},
"categoryid_3": {
"type": "integer",
"format": "int32",
"description": "Categoryid 3"
},
"categoryid_4": {
"type": "integer",
"format": "int32",
"description": "Categoryid 4"
},
"category_1_display": {
"type": "string",
"description": "Category 1 Display"
},
"category_2_display": {
"type": "string",
"description": "Category 2 Display"
},
"category_3_display": {
"type": "string",
"description": "Category 3 Display"
},
"category_4_display": {
"type": "string",
"description": "Category 4 Display"
},
"estimate": {
"type": "number",
"format": "double",
"description": "The estimate value"
},
"estimatedays": {
"type": "number",
"format": "double",
"description": "The estimatedays value"
},
"projecttimepercentage": {
"type": "number",
"format": "double",
"description": "The projecttimepercentage value"
},
"projectcompletionpercentage": {
"type": "number",
"format": "double",
"description": "The projectcompletionpercentage value"
},
"projectearlieststart": {
"type": "string",
"format": "date-time",
"description": "The projectearlieststart value"
},
"projectlatestend": {
"type": "string",
"format": "date-time",
"description": "The projectlatestend value"
},
"timetaken": {
"type": "number",
"format": "double",
"description": "The timetaken value"
},
"faigeneratedsummary_list": {
"type": "string",
"description": "Faigeneratedsummary List"
},
"chargehours": {
"type": "number",
"format": "double",
"description": "The chargehours value"
},
"nonchargehours": {
"type": "number",
"format": "double",
"description": "The nonchargehours value"
},
"travelhours": {
"type": "number",
"format": "double",
"description": "The travelhours value"
},
"totalmileage": {
"type": "number",
"format": "double",
"description": "The totalmileage value"
},
"itemsprice": {
"type": "number",
"format": "double",
"description": "The itemsprice value"
},
"items": {
"type": "string",
"description": "The items value"
},
"supplier_name": {
"type": "string",
"description": "Supplier Name"
},
"parent_id": {
"type": "integer",
"format": "int32",
"description": "Parent Id"
},
"child_count": {
"type": "integer",
"format": "int32",
"description": "Child Count"
},
"child_count_open": {
"type": "integer",
"format": "int32",
"description": "Child Count Open"
},
"attachment_count": {
"type": "integer",
"format": "int32",
"description": "Attachment Count"
},
"flagged": {
"type": "boolean",
"description": "The flagged value"
},
"read": {
"type": "boolean",
"description": "The read value"
},
"enduserstatus": {
"type": "integer",
"format": "int32",
"description": "The enduserstatus value"
},
"onhold": {
"type": "boolean",
"description": "The onhold value"
},
"respondbydate": {
"type": "string",
"format": "date-time",
"description": "The respondbydate value"
},
"responsedate": {
"type": "string",
"format": "date-time",
"description": "The responsedate value"
},
"first_responsedate": {
"type": "string",
"format": "date-time",
"description": "First Responsedate"
},
"responsestartdate": {
"type": "string",
"format": "date-time",
"description": "The responsestartdate value"
},
"slaresponsestate": {
"type": "string",
"description": "The slaresponsestate value"
},
"fixbydate": {
"type": "string",
"format": "date-time",
"description": "The fixbydate value"
},
"dateclosed": {
"type": "string",
"format": "date-time",
"description": "The dateclosed value"
},
"dateassigned": {
"type": "string",
"format": "date-time",
"description": "The dateassigned value"
},
"excludefromsla": {
"type": "boolean",
"description": "The excludefromsla value"
},
"slaholdtime": {
"type": "number",
"format": "double",
[...]
